SuSE 10 安全性更新:Apache2 (ZYPP 修補程式編號 7882)

medium Nessus Plugin ID 57298

Synopsis

遠端 SuSE 10 主機缺少安全性相關修補程式。

描述

這項更新會修正 Apache2 webserver 中的數個安全性問題。

- 此項更新亦包含透過 RewriteRule 或 ProxyPassMatch 指示詞,針對 mod_proxy 反向暴露的數個修正。(CVE-2011-3639 / CVE-2011-3368 / CVE-2011-4317)

- 現已預設為停用重新交涉,修正了 SSL 重新交涉 DoS。(CVE-2011-1473)

- 導致堆積型緩衝區溢位之 ap_pregsub 函式中的整數溢位,可能允許本機攻擊者獲取權限。(CVE-2011-3607)

解決方案

套用 ZYPP 修補程式編號 7882。

另請參閱

http://support.novell.com/security/cve/CVE-2011-1473.html

http://support.novell.com/security/cve/CVE-2011-3368.html

http://support.novell.com/security/cve/CVE-2011-3607.html

http://support.novell.com/security/cve/CVE-2011-3639.html

http://support.novell.com/security/cve/CVE-2011-4317.html

Plugin 詳細資訊

嚴重性: Medium

ID: 57298

檔案名稱: suse_apache2-7882.nasl

版本: 1.15

類型: local

代理程式: unix

已發布: 2011/12/14

已更新: 2021/1/19

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.3

CVSS v2

風險因素: Medium

基本分數: 5

媒介: AV:N/AC:L/Au:N/C:N/I:N/A:P

弱點資訊

CPE: cpe:/o:suse:suse_linux

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2011/12/7

惡意利用途徑

ExploitHub (EH-14-410)

參考資訊

CVE: CVE-2011-1473, CVE-2011-3368, CVE-2011-3607, CVE-2011-3639, CVE-2011-4317